function main()
{
    // Execute SQL statement:
    var jsqlexec_cfg = squishinfo.testCase + "/jsqlexec_select_cfg.txt";
    var jdbc_driver_path = "hsqldb.jar";
    var jsqlexec_path = squishinfo.testCase + "/..";
    var sql_statement = "SELECT COLA, COLB FROM TABLE1";
    exec_sql(jsqlexec_cfg, jdbc_driver_path, jsqlexec_path, sql_statement);

    // Read generated output:
    var dataset = testData.dataset(squishinfo.testCase + "/output.csv");
    for (var i = 0; i < dataset.length; i++){
        var record = dataset[i];
        var value_cola = testData.field(record, "COLA");
        var value_colb = testData.field(record, "COLB");
        test.log("Next row:");
        test.log("  " + value_cola);
        test.log("  " + value_colb);
    }
}

function exec_sql(jsqlexec_cfg, jdbc_driver_path, jsqlexec_path, sql_statement)
{
    var cwd = squishinfo.testCase;
    var input_file_name = "input.txt";
    write_file_utf8(input_file_name, sql_statement);

    var pathsep = ":";
    if (OS.name == "Windows") {
        pathsep = ";";
    }

    var cmd = 'cd "%s" & java -cp "%s' + pathsep + '%s" JSQLExec "%s"';
    cmd = cmd.replace("%s", cwd);
    cmd = cmd.replace("%s", jdbc_driver_path);
    cmd = cmd.replace("%s", jsqlexec_path);
    cmd = cmd.replace("%s", jsqlexec_cfg);

    test.log("exec_sql(): Executing: " + cmd);
    OS.system(cmd);
}

function write_file_utf8(file_name, content)
{
    var f = File.open(file_name, "w");
    f.write(content);
    f.close();
}
